Install Base Item API

concept australia Updated Sep 10, 2026 150 min read integrations-api.md
Raw file servicenow.com

The Install Base Item API provides endpoints to access and manage install base items records within a ServiceNow instance.

An install base item represents an instance of a product that has been configured for a customer. Install base items enable you to track all purchases made by a customer.

You can also perform CRUD operations on the Install Base Related Parties related list using this API. In addition, you can read records in other install base items related lists, such as cases, contracts, entitlements, maintenance plans, sold products, and work orders.

To access this API you must have either the sn_install_base.ib_api_write or sn_install_base.ib_api_read role depending on the type of CRUD action that you are trying to perform.

To access the various endpoints in this API the following plugins must be installed:

  • Customer Service Install Base Management (com.snc.install_base)
  • Planned Work Management (sn_fsm_planned_wm) if you want to retrieve maintenance plan and work order data.

This API runs in the sn_install_base namespace.

Note: This API only returns non-empty fields in the endpoint responses. Also, none of the system level fields (those prefaced with "sys_") are returned except the sys_id field.

For additional information on install base items, see Create an install base item.

Parent Topic:REST API reference

Disassociates a specified related parties record from a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id of the install base item record.Data type: String

Table: Install Base Item [sn_install_base_item]

related_party_sys_id

Sys_id of the related party record.Data type: String

Table: Install Base Related Party [sn_install_base_related_party]

|Name|Description| |----|-----------| |None| |
Name Description
None

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
403 Forbidden. The user doesn't have access rights to the specified record.
404 Not found. The requested item wasn't found.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Name

Description

error

Details about the error that occurred when trying to process the request.Data type: Object

Text
"error": {  "detail": "String",  "message": "String"}

error.detail

Additional details about the associated error.Data type: String

error.message

Error message that describes the problem that occurred when trying to execute the request.Data type: String

result

Description of the endpoint results.Data type: Object

result.status

Status of the endpoint request. Possible values:

  • SUCCESS
  • FAILURE

Data type: String

### cURL request

The following code example shows how to call this endpoint.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/f77c7542b7343300ece839a6ee11a991/relatedparties/2a42dfae872521100b6afc86dabb356b" \--request DELETE \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "status": "SUCCESS"  }}

Install Base Item - GET /sn_install_base/integrations/installbaseitems

Returns all install base items. You can pass parameters within the call to filter the return results.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems

Default URL: /api/sn_install_base/integrations/installbaseitems

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

Name

Description

field name-value pairs

Field-value pairs to use to filter the install base item records. If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the state field is set to "in_use" and the status field is set to "replacement", pass the follow: &state=in_use&status=replacement.

Data type: String

Default: All fields

Table: Install Base Item [sn_istall_base_item]

related_party

Sys_id of a related party record.Filters the install base item records based on the specified related party. A related party can be linked to an install base item or a sold product.

Valid values:

  • account sys_id: Located in the Account [customer_account] table.
  • consumer sys_id: Located in the Consumer [csm_consumer] table.
  • contact sys_id: Located in the Contact [customer-contact] table.
  • service organization sys_id: Located in the Service Organization [sn_customer_service_organization] table.
  • user sys_id: Located in the User [sys-user] table.

Data type: String

Table: Install Base Related Party [sn_install_base_related_party]

responsibility

Sys_id of the associated responsibility record. This record defines the access level for the install base information.This parameter is only valid if the related_party field is also specified. If specified, it only returns the install base items that match both the related_party and responsibility parameters.

For additional information, see Configure related parties for Items Received.

Data type: String

sys_class_name

If the desired records are in a table that extends the Install Base Items [sn_install_base_item] table, the name of the extended table to query.Data type: String

sysparm_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
403 Forbidden. The user doesn't have access rights to the specified record.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

The following return results only describe the return values for records returned from the Install Base Items [sn_install_base_items] table.

Name

Description

error

Details about the error that occurred when trying to process the request.Data type: Object

Text
"error": {  "detail": "String",  "message": "String"}

error.detail

Additional details about the associated error.Data type: String

error.message

Error message that describes the problem that occurred when trying to execute the request.Data type: String

has_more

Flag that indicates whether there are more records in the table to return.Possible values:

  • true: More records to return.
  • false: No more records to return.

Data type: Boolean string

items

List of the install base items that matched the specified filter results.Data type: Array of Objects

CSS
"items":[  {    "account": {Object},    "active": "String",    "asset": {Object},    "configuration_item": {Object},    "consumer": {Object},    "consumer_profile": {Object},    "contact": {Object},    "health_status": {Object},    "health_status_last_updated": "String",    "household": {Object},    "install_date": {Object},    "location": {Object},    "name": "String",    "number": "String",    "parent": {Object},    "product": {Object},    "service_context": {Object},    "service_organization" {Object},    "sys_class_name": "String",    "sys_id": "String",    "sys_mod_count": "String",    "state": {Object},    "status": {Object},    "uninstall_date": "String"  }]

items.account

Details about the customer account associated with the install base item record.Data type: Object

Text
"account": {  "display_value": "String",  "sys_id": "String"}

items.account.display_value

Text name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String

items.account.sys_id

Sys_id of the customer account record associated with the install base item record.Data type: String

items.active

Flag that indicates whether the install base item is active.Possible values:

  • true: Install base item is active.
  • false: Install base item is inactive.

Data type: Boolean String

items.asset

Details about the asset associated with the install base item record.Data type: Object

Text
"asset": {  "display_value": "String",  "sys_id": "String"}

items.asset.display_value

Text name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String

items.asset.sys_id

Sys_id of the asset record associated with the install base item record.Data type: String

items.configuration_item

Details about the configuration item associated with the install base item record.Data type: Object

Text
"configuration_item": {  "display_value": "String",  "sys_id": "String"}

items.configuration_item.display_value

Text name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String

items.configuration_item.sys_id

Sys_id of the configuration item record associated with the install base item record.Data type: String

items.consumer

Details about the consumer associated with the install base item record.Note: The consumer field is only available if the B2B2C plugin is installed.

Data type: Object

Text
"consumer": {  "display_value": "String",  "sys_id": "String"}

items.consumer.display_value

Text name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String

items.consumer.sys_id

Sys_id of the consumer record associated with the install base item record.Data type: String

items.consumer_profile

Details about the consumer profile associated with the install base item record.Note: The consumer profile field is only available if the B2B2C plugin is installed.

Data type: Object

Text
"consumer_profile": {  "display_value": "String",  "sys_id": "String"}

items.consumer_profile.display_value

Text name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String

items.consumer_profile.sys_id

Sys_id of the consumer profile record associated with the install base item record.Data type: String

items.contact

Details about the account contact responsible for the install base item record.Data type: Object

Text
"contact": {  "display_value": "String",  "sys_id": "String"}

items.contact.display_value

Text name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String

items.contact.sys_id

Sys_id of the account contact record associated with the install base item record.Data type: String

items.health_status

Details about the current health status of the install base item. Only returned if the Proactive Customer Service Operations (com.snc.proactive_cs_itom) plugin is installed.Data type: Object

Text
"health_status": {  "display_value": "String",  "value": "String"}

items.health_status.display_value

Text string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String

items.health_status.value

Internal value of the health status of the install base item.Data type: String

items.health_status_last_updated

Date and time when the health status was last updated for the install base item.Data type: String

items.household

Details about the household associated with the install base item record. Only returned if the Customer Household Data Model (com.snc.household) plugin is installed.Data type: Object

Text
"household": {  "display_value": "String",  "sys_id": "String"}

items.household.display_value

Text name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String

items.household.sys_id

Sys_id of the household associated with the install base item record.Data type: String

items.install_date

Details about the date when the install base item became active.Data type: Object

Text
"install_date": {  "display_value": "String",  "value": "String"}

items.install_date.display_value

Text install date. Use this value to display the install date in the UI.Data type: String

items.install_date.value

Internal value of the install date.Data type: String

items.location

Details about the location of the install base item.Data type: Object

Text
"location": {  "display_value": "String",  "sys_id": "String"}

items.location.display_value

Text name of the install base item location. Use this value to display the location name in the UI.Data type: String

items.location.sys_id

Sys_id of the location record associated with the install base item record.Data type: String

items.name

Name of the install base item.Data type: String

items.number

Unique ID of the install base item.Data type: String

items.parent

Details about the parent record of the install base item record.Data type: Object

Text
"parent": {  "display_value": "String",  "sys_id": "String"}

items.parent.display_value

Text name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String

items.parent.sys_id

Sys_id of the parent record associated with the install base item record.Data type: String

items.product

Details about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object

Text
"product": {  "display_value": "String",  "sys_id": "String"}

items.product.display_value

Text name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String

items.product.sys_id

Sys_id of the product model record associated with the install base item record.Data type: String

items.service_context

Details about the service context associated with the install base item record.Data type: Object

Text
"service_context": {  "display_value": "String",  "sys_id": "String"}

items.service_context.display_value

Text name of the service context associated with the install base item record. Use this value to display the service context name in the UI.Data type: String

items.service_context.sys_id

Sys_id of the service context record associated with the install base item record.Data type: String

items.service_organization

Details about the service organization associated with the install base item record. Only returned if the Service Organization (com.snc.service_organization) plugin is installed.Data type: Object

Text
"service_organization": {  "display_value": "String",  "sys_id": "String"}

items.service_organization.display_value

Text name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String

items.service_organization.sys_id

Sys_id of the service organization record associated with the install base item record.Data type: String

items.sys_class_name

Table containing the install base item record.Data type: String

items.sys_id

Sys_id of the install base item record. Located in the table specified in the sys_class_name parameter.Data type: String

items.sys_mod_count

Number of times that the associated install base item record has been modified.Data type: String

items.state

Details about the current state of the install base item.Data type: Object

Text
"state": {  "display_value": "String",  "value": "String"}

items.state.display_value

Text string of the current state of the install base item. Use this value to display the state in the UI.Data type: String

items.state.value

Internal value of the state of the install base item.Data type: String

items.status

Details about the status of the install base item.Data type: Object

Text
"status": {  "display_value": "String",  "value": "String"}

items.status.display_value

Text string of the status of the install base item. Use this value to display the status in the UI.Data type: String

items.status.value

Internal value of the status of the install base item.Data type: String

items.uninstall_date

Details about the date when the install base item became inactive.Data type: Object

Text
"uninstall_date": {  "display_value": "String",  "value": "String"}

items.uninstall_date.display_value

Text uninstall date. Use this value to display the uninstall date in the UI.Data type: String

items.uninstall_date.value

Internal value of the uninstall date.Data type: String

status

Status of the endpoint call.Data type: String

sysparm_depth

Number of levels deep the returned child install base item is in the hierarchy.Data type: Integer

sysparm_limit

Number of records that were returned. If this value isn't specified in the original request, it uses the default value.Data type: Number

sysparm_offset

Offset (starting point) in the associated table from which records were evaluated and retrieved.Data type: String

### cURL request

The following code example shows a simple call that only returns a single record starting at offset 5.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/v1/integrations/installbaseitems?sysparm_limit=1&sysparm_offset=5" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "sysparm_offset": "5",    "sysparm_limit": 1,    "has_more": true,    "items": [      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM001100",        "sys_id": "181df7ff530a1110539dddeeff7b12f4",        "state": {          "value": "in_use",          "display_value": "In Use"        },        "sys_mod_count": "2",        "active": "true",        "configuration_item": {          "sys_id": "62446ae8535e5510539dddeeff7b12db",          "display_value": "boxeoproderp"        },        "name": "boxeoproderp",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      }    ],    "status": "SUCCESS"  }}

cURL request

The following code example shows how to search for the fields state = "in_use" and status = "replacement" within the Install Base Item table.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems?state=in_use&status=replacement" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "sysparm_offset": "0",    "sysparm_limit": "10",    "has_more": false,    "items": [      {        "parent": {          "sys_id": "ffd023f453de9910539dddeeff7b1264",          "display_value": "Point of Sale System"        },        "sys_class_name": "sn_install_base_item",        "number": "IBITM001140",        "sys_id": "a1a123745312d910539dddeeff7b127b",        "state": {          "value": "in_use",          "display_value": "In Use"        },        "install_date": {          "value": "2018-12-14 07:00:00",          "display_value": "2018-12-13 23:00:00"        },        "product": {          "sys_id": "2dd1e7b753421110539dddeeff7b12d1",          "display_value": "Stand"        },        "active": "true",        "name": "Stand",        "service_organization": {          "sys_id": "42b51f5ab3401010700b4d43c6a8dc5a",          "display_value": "LA City Center - West"        },        "status": {          "value": "replacement",          "display_value": "Replacement"        }      },      {        "parent": {          "sys_id": "ffd023f453de9910539dddeeff7b1264",          "display_value": "Point of Sale System"        },        "sys_class_name": "sn_install_base_item",        "number": "IBITM001139",        "sys_id": "d0916bb05312d910539dddeeff7b1232",        "state": {          "value": "in_use",          "display_value": "In Use"        },        "install_date": {          "value": "2018-12-14 07:00:00",          "display_value": "2018-12-13 23:00:00"        },        "product": {          "sys_id": "dfc127b753421110539dddeeff7b12ac",          "display_value": "Register"        },        "active": "true",        "name": "Register",        "service_organization": {          "sys_id": "42b51f5ab3401010700b4d43c6a8dc5a",          "display_value": "LA City Center - West"        },        "status": {          "value": "replacement",          "display_value": "Replacement"        }      },      {        "parent": {          "sys_id": "ffd023f453de9910539dddeeff7b1264",          "display_value": "Point of Sale System"        },        "sys_class_name": "sn_install_base_item",        "number": "IBITM001141",        "sys_id": "ffb123745312d910539dddeeff7b12cb",        "state": {          "value": "in_use",          "display_value": "In Use"        },        "install_date": {          "value": "2018-12-14 07:00:00",          "display_value": "2018-12-13 23:00:00"        },        "product": {          "sys_id": "59e1e7b753421110539dddeeff7b12cc",          "display_value": "Terminal"        },        "active": "true",        "name": "Terminal",        "service_organization": {          "sys_id": "42b51f5ab3401010700b4d43c6a8dc5a",          "display_value": "LA City Center - West"        },        "status": {          "value": "replacement",          "display_value": "Replacement"        }      }    ],    "status": "SUCCESS"  }}

cURL request

The following code example shows how to filter the return results using the related_party and responsibility query parameters.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems?related_party=dc0185d94f341200025ba3618110c77c&responsibility=c009bbedb3730010700b4d43c6a8dce" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "sysparm_offset": "0",    "sysparm_limit": "10",    "has_more": false,    "items": [      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM0001004",        "sys_id": "3ea014a778de1110f877d304c76fdd0d",        "state": {          "value": "in_use",          "display_value": "In Use"        },        "consumer": {          "sys_id": "feb5139ab3401010700b4d43c6a8dc43",          "display_value": "Kenny Smith"        },        "product": {          "sys_id": "63c8bc9778921110f877d304c76fdd34",          "display_value": "X4 Sport Utility 4D"        },        "active": "true",        "name": "X4 Sport Utility 4D",        "status": {          "value": "original",          "display_value": "Original"        }      },      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM001003",        "sys_id": "6e94e3c853500010df5dddeeff7b1234",        "contact": {          "sys_id": "4d147a386f0331003b3c498f5d3ee437",          "display_value": "Julie Lewis"        },        "active": "true",        "configuration_item": {          "sys_id": "a96a570453500010df5dddeeff7b1206",          "display_value": "boxeosandbox"        },        "name": "Boxeo - Sandbox",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      },      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM0001010",        "sys_id": "83332fde87e5a1105d0055373cbb3567",        "contact": {          "sys_id": "ddce70866f9331003b3c498f5d3ee417",          "display_value": "George Warren"        },        "state": {          "value": "in_use",          "display_value": "In Use"        },        "install_date": {          "value": "2023-02-26 18:59:52",          "display_value": "2023-02-26 10:59:52"        },        "health_status": {          "value": "not_available",          "display_value": "Not Available"        },        "product": {          "sys_id": "a9a2d0c3c6112276010db16c5ddd3461",          "display_value": "Lenovo ThinkStation S20"        },        "active": "true",        "configuration_item": {          "sys_id": "affd3c8437201000deeabfc8bcbe5dc3",          "display_value": "*BETH-IBM"        },        "name": "IB B2B",        "location": {          "sys_id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",          "display_value": "100 South Charles Street, Baltimore,MD"        },        "asset": {          "sys_id": "bfc1fa8837f3100044e0bfc8bcbe5ddf",          "display_value": "P1000228 - Lenovo ThinkStation S20"        },        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        },        "status": {          "value": "original",          "display_value": "Original"        }      },      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM0001011",        "sys_id": "9d766f168729a1105d0055373cbb3597",        "health_status": {          "value": "not_available",          "display_value": "Not Available"        },        "product": {          "sys_id": "8583ce8237732000158bbfc8bcbe5dd9",          "display_value": "Fujitsu 1TB Hybrid Solid State Drive"        },        "active": "true",        "name": "IBA",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      },      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM0001013",        "sys_id": "bd955a2687ada1100b6afc86dabb35fb",        "health_status": {          "value": "not_available",          "display_value": "Not Available"        },        "consumer": {          "sys_id": "59e788fbdb1b1200b6075200cf9619d2",          "display_value": "Gilly Parker"        },        "product": {          "sys_id": "1a13974053500010df5dddeeff7b122c",          "display_value": "12000XHD Digital Press"        },        "active": "true",        "name": "IBConsumer"      },      {        "sys_class_name": "sn_install_base_item",        "number": "IBITM0000901",        "sys_id": "f77c7542b7343300ece839a6ee11a991",        "product": {          "sys_id": "8583ce8237732000158bbfc8bcbe5dd9",          "display_value": "Fujitsu 1TB Hybrid Solid State Drive"        },        "active": "true",        "name": "KX Series - KX5001",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      }    ],    "status": "SUCCESS"  }}

Install Base Item - GET /sn_install_base/integrations/installbaseitem/{id}

Returns a specified install base item record and its child hierarchy.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitem/{id}

Default URL: /api/sn_install_base/integrations/installbaseitem/{id}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id of the install base item record.Data type: String

Table: Install Base Item [sn_install_base_item]

Name

Description

sys_class_name

If the intended record is in a table that extends the Install Base Items [sn_install_base_item] table, the name of the extended table to query. This table must extend the sn_install_base_item table.Data type: String

sysparm_depth

Maximum depth of the child install base item's hierarchy to return.Data type: Integer

Default: 7

Maximum: 10

sysparm_limit

Maximum number records to return in each child hierarchy.Data type: Integer

Default: 10

Maximum: 100

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
403 Forbidden. The user doesn't have access rights to the specified record.
404 Not found. The requested item wasn't found.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Name

Description

childinstallbase

List of child install base item records associated with the specified install base item.Data type: Object

JavaScript
"childinstallbase": {  "items": [Array],  "sysparm_depth": Integer}

childinstallbase.items

Child install base items associated with the specified install base item. The values within this array are defined under the items[] array further down in this section.

childinstallbase.sysparm_depth

Child-level of the install base item.Data type: Integer

error

Details about the error that occurred when trying to process the request.Data type: Object

Text
"error": {  "detail": "String",  "message": "String"}

error.detail

Additional details about the associated error.Data type: String

error.message

Error message that describes the problem that occurred when trying to execute the request.Data type: String

has_children

Flag that indicates whether the requested install base item record has child install base item records.- true: Has child install base item records.

  • false: Doesn't have child install base item records.

Data type: Boolean

item

Install base item that matched the specified filter results.Data type: Object

CSS
"item": {  "account": {Object},  "active": "String",  "asset": {Object},  "configuration_item": {Object},  "consumer": {Object},  "consumer_profile": {Object},  "contact": {Object},  "health_status": "Object",  "health_status_last_updated": "String",  "household": {Object},  "install_date": {Object},  "location": {Object},  "name": "String",  "number": "String",  "parent": {Object},  "product": {Object},  "service_context": {Object},  "service_organization" {Object},  "sys_class_name": "String",  "sys_id": "String",  "state": {Object},  "status": {Object},  "uninstall_date": "String"}

item.account

Details about the customer account associated with the install base item record.Data type: Object

Text
"account": {  "display_value": "String",  "sys_id": "String"}

item.account.display_value

Text name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String

item.account.sys_id

Sys_id of the customer account record associated with the install base item record.Data type: String

item.active

Flag that indicates whether the install base item is active.Possible values:

  • true: Install base item is active.
  • false: Install base item is inactive.

Data type: Boolean String

item.asset

Details about the asset associated with the install base item record.Data type: Object

Text
"asset": {  "display_value": "String",  "sys_id": "String"}

item.asset.display_value

Text name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String

item.asset.sys_id

Sys_id of the asset record associated with the install base item record.Data type: String

item.configuration_item

Details about the configuration item associated with the install base item record.Data type: Object

Text
"configuration_item": {  "display_value": "String",  "sys_id": "String"}

item.configuration_item.display_value

Text name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String

item.configuration_item.sys_id

Sys_id of the configuration item record associated with the install base item record.Data type: String

item.consumer

Details about the consumer associated with the install base item record.Note: The consumer field is only available if the B2B2C plugin is installed.

Data type: Object

Text
"consumer": {  "display_value": "String",  "sys_id": "String"}

item.consumer.display_value

Text name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String

item.consumer.sys_id

Sys_id of the consumer record associated with the install base item record.Data type: String

item.consumer_profile

Details about the consumer profile associated with the install base item record.Note: The consumer profile field is only available if the B2B2C plugin is installed.

Data type: Object

Text
"consumer_profile": {  "display_value": "String",  "sys_id": "String"}

item.consumer_profile.display_value

Text name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String

item.consumer_profile.sys_id

Sys_id of the consumer profile record associated with the install base item record.Data type: String

item.contact

Details about the account contact responsible for the install base item record.Data type: Object

Text
"contact": {  "display_value": "String",  "sys_id": "String"}

item.contact.display_value

Text name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String

item.contact.sys_id

Sys_id of the account contact record associated with the install base item record.Data type: String

item.health_status

Details about the current health status of the install base item. Only returned if the Proactive Customer Service Operations (com.snc.proactive_cs_itom) plugin is installed.Data type: Object

Text
"health_status": {  "display_value": "String",  "value": "String"}

item.health_status.display_value

Text string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String

item.health_status.value

Internal value of the health status of the install base item.Data type: String

item.health_status_last_updated

Date and time when the health status was last updated for the install base item.Data type: String

item.household

Details about the household associated with the install base item record. Only returned if the Customer Household Data Model (com.snc.household) plugin is installed.Data type: Object

Text
"household": {  "display_value": "String",  "sys_id": "String"}

item.household.display_value

Text name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String

item.household.sys_id

Sys_id of the household associated with the install base item record.Data type: String

item.install_date

Details about the date when the install base item became active.Data type: Object

Text
"install_date": {  "display_value": "String",  "value": "String"}

item.install_date.display_value

Text install date. Use this value to display the install date in the UI.Data type: String

item.install_date.value

Internal value of the install date.Data type: String

item.location

Details about the location of the install base item.Data type: Object

Text
"location": {  "display_value": "String",  "sys_id": "String"}

item.location.display_value

Text name of the install base item location. Use this value to display the location name in the UI.Data type: String

item.location.sys_id

Sys_id of the location record associated with the install base item record.Data type: String

item.name

Name of the install base item.Data type: String

item.number

Unique ID of the install base item.Data type: String

item.parent

Details about the parent record of the install base item record.Data type: Object

Text
"parent": {  "display_value": "String",  "sys_id": "String"}

item.parent.display_value

Text name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String

item.parent.sys_id

Sys_id of the parent record associated with the install base item record.Data type: String

item.product

Details about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object

Text
"product": {  "display_value": "String",  "sys_id": "String"}

item.product.display_value

Text name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String

item.product.sys_id

Sys_id of the product model record associated with the install base item record.Data type: String

item.service_context

Details about the service context associated with the install base item record.Data type: Object

Text
"service_context": {  "display_value": "String",  "sys_id": "String"}

item.service_context.display_value

Details about the service context associated with the install base item record.Data type: Object

Text
"service_context": {  "display_value": "String",  "sys_id": "String"}

item.service_context.sys_id

Sys_id of the service context record associated with the install base item record.Data type: String

item.service_organization

Details about the service organization associated with the install base item record. Only returned if the Service Organization (com.snc.service_organization) plugin is installed.Data type: Object

Text
"service_organization": {  "display_value": "String",  "sys_id": "String"}

item.service_organization.display_value

Text name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String

item.service_organization.sys_id

Sys_id of the service organization record associated with the install base item record.Data type: String

item.sys_class_name

Table containing the install base item record.Data type: String

item.sys_id

Sys_id of the install base item record. Located in the table specified in the sys_class_name parameter.Data type: String

item.sys_mod_count

Number of times that the associated install base item record has been modified.Data type: String

item.state

Details about the current state of the install base item.Data type: Object

Text
"state": {  "display_value": "String",  "value": "String"}

item.state.display_value

Text string of the current state of the install base item. Use this value to display the state in the UI.Data type: String

item.state.value

Internal value of the state of the install base item.Data type: String

item.status

Details about the status of the install base item.Data type: Object

Text
"status": {  "display_value": "String",  "value": "String"}

item.status.display_value

Text string of the status of the install base item. Use this value to display the status in the UI.Data type: String

item.status.value

Internal value of the status of the install base item.Data type: String

item.uninstall_date

Details about the date when the install base item became inactive.Data type: Object

Text
"uninstall_date": {  "display_value": "String",  "value": "String"}

item.uninstall_date.display_value

Text uninstall date. Use this value to display the uninstall date in the UI.Data type: String

item.uninstall_date.value

Internal value of the uninstall date.Data type: String

status

Status of the endpoint call.Data type: String

### cURL request

The following code example shows how to call this endpoint. The associated install base item doesn't have any children.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitem/f77c7542b7343300ece839a6ee11a991" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "status": "SUCCESS",    "item": {      "sys_class_name": "sn_install_base_item",      "number": "IBITM0000901",      "sys_id": "f77c7542b7343300ece839a6ee11a991",      "product": {        "sys_id": "8583ce8237732000158bbfc8bcbe5dd9",        "display_value": "Fujitsu 1TB Hybrid Solid State Drive"      },      "active": "true",      "name": "KX Series - KX5001",      "account": {        "sys_id": "86837a386f0331003b3c498f5d3ee4ca",        "display_value": "Boxeo"      }    },    "hasChildren": "false"  }}

cURL request

The following code example shows how to call this endpoint specifying a maximum depth of four child-levels.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/e0a80e4b87b521100b6afc86dabb3565?depth=4" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "status": "SUCCESS",    "item": {      "sys_class_name": "sn_install_base_item",      "number": "IBITM0001073",      "sys_id": "e0a80e4b87b521100b6afc86dabb3565",      "health_status": {        "value": "not_available",        "display_value": "Not Available"      },      "active": "true",      "name": "parent",      "account": {        "sys_id": "86837a386f0331003b3c498f5d3ee4ca",        "display_value": "Boxeo"      }    },    "hasChildren": "true",    "childinstallbase": {      "sysparm_depth": 2,      "items": [        {          "parent": {            "sys_id": "e0a80e4b87b521100b6afc86dabb3565",            "display_value": "parent"          },          "sys_class_name": "sn_install_base_item",          "number": "IBITM0001074",          "sys_id": "6db80e4b87b521100b6afc86dabb356b",          "state": {            "value": "in_use",            "display_value": "In Use"          },          "health_status": {            "value": "not_available",            "display_value": "Not Available"          },          "active": "true",          "name": "child1",          "account": {            "sys_id": "86837a386f0331003b3c498f5d3ee4ca",            "display_value": "Boxeo"          },          "hasChildren": "true",          "items": {            "sysparm_depth": 3,            "items": [              {                "parent": {                  "sys_id": "6db80e4b87b521100b6afc86dabb356b",                  "display_value": "child1"                },                "sys_class_name": "sn_install_base_item",                "number": "IBITM0001075",                "sys_id": "36ecce4b87b521100b6afc86dabb3503",                "health_status": {                  "value": "not_available",                  "display_value": "Not Available"                },                "active": "true",                "name": "childL2",                "account": {                  "sys_id": "86837a386f0331003b3c498f5d3ee4ca",                  "display_value": "Boxeo"                },                "hasChildren": "false"              }            ]          }        }      ]    }  }}

Install Base Item - GET /sn_install_base/integrations/installbaseitems/{id}/cases

Returns the cases associated with a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/cases

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/cases

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id of the install base item record.Data type: String

Table: Install Base Item [sn_install_base_item]

Name

Description

field name-value pairs

Field-value pairs to use to filter the case records. If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the approval field is set to "rejected" and the category field is set to "2", pass the follow: &approval=rejected&category=2.

Data type: String

Table: Case [sn_customerservice_case]

Default: All fields

sys_class_name

If using an extended case table (not sn_customerservice_case), the name of the extended table to query.Data type: String

Default: sn_customerservice_case

sysparm_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
403 Forbidden. The user doesn't have access rights to the specified record.
404 Not found. The requested item wasn't found.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Element

Description

cases

List of cases associated with the specified install base item record.Data type: Array of Objects

Shell
"cases": [  {    "account": "String",    "active": Boolean,    "active_account_escalation": "String",    "active_escalation": "String",    "activity_due": "String",    "additional_assignee_list": "String",    "approval": "String",    "approval_history": "String",    "approval_set": "String",    "asset": "String",    "assigned_on": "String",    "assigned_to": "String",    "assignment_group": "String",    "auto_close": Boolean,    "business_duration": "String",    "business_impact": "String",    "business_service": "String",    "calendar_duration": "String",    "case": "String",    "case_report": "String",    "category": Number,    "cause": "String",    "caused_by": "String",    "change": "String",    "child_case_creation_progress": Boolean,    "closed_at": "String",    "closed_by": "String",    "close_notes: "String",    "cmdb_ci": "String",    "comments": "String",    "comments_and_work_notes": "String",    "company": "String",    "consumer": "String",    "contact": "String",    "contact_local_time: "String",    "contact_time_zone": "String",    "contact_type": "String",    "contract": "String",    "contributor_groups": "String",    "contributor_users": "String",    "correlation_display": "String",    "correlation_id": "String",    "delivery_plan": "String",    "delivery_task": "String",    "description": "string",    "due_date": "String",    "entitlement": "String",    "escalation": Number,    "expected_start": "String",    "first_response_time": "String",    "follow_the_sun": Boolean,    "follow_up": "String",    "group_list": [Array],    "impact": Number,    "internal_user": "String",    "initiated_as_request": Boolean,    "knowledge": Boolean,    "location": "String",    "made_sla": Boolean,    "major_case_state": "String",    "needs_attention": Boolean,    "notes_to_comments": Boolean,    "notify": Number,    "number": "String",    "opened_at": "String",    "opened_by": "String",    "order": Number,    "parent": "String",    "partner": "String",    "partner_contact": "String",    "priority": Number,    "proactive": Boolean,    "probable_cause": "String",    "problem": "String",    "product": "String",    "reassignment_count": Number,    "recipient_list": "String",    "rejection_goto": "String",    "resolution_code": "String",    "resolved_at": "String",    "resolved_by": "String",    "route_reason": "String",    "service_offering": "String",    "short_description": "String",    "skills": "String",    "sla_due": "String",    "sn_app_cs_social_social_profile": "String",    "sold_product": "String",    "stage": "String",    "state": Number,    "subcategory": Number,    "support_manager" "String",    "sync_driver": Boolean,    "sys_class_name": "String",    "sys_domain": "String",    "sys_domain_path": "String",    "sys_id": "String",    "task_effective_number": "String",    "time_worked": "String",    "universal_request": "String",    "upon_approval": "String",    "upon_reject": "String",    "urgency": Number,    "user_input": "String",    "variables":  "String",    "watch_list": [Array],    "wf_activity": "String",    "work_end": "String",    "work_notes": "String",    "work_notes_list": [Array],    "work_start": "String"

cases.account

Sys_id of the account record associated with the case.

Data type: String

Table: Account [customer_account]

cases.active

Flag that indicates whether the case is open and active.Possible values:

  • true: Case is active
  • false: Case is closed

Data type: Boolean

Default: true

cases.active_account_escalation

Sys_id of the active account escalation record associated with the case.Data type: String

Table: Escalation [sn_customerservice_escalation]

cases.active_escalation

Sys_id of the active escalation record associated with the case.Data type: String

Table: Escalation [sn_customerservice_escalation]

cases.activity_due

Date for which the associated case is expected to be completed.Data type: String

cases.additional_assignee_list

List of the sys_ids of the additional persons (other than the primary assignee) that have been assigned to the account.Data type: Array

Maximum: 4,000

Table: User [sys_user]

cases.approval

String that describes the type of approval required.Possible values:

  • approved
  • cancelled
  • duplicate
  • not_required
  • not requested
  • rejected
  • requested

Data type: String

Maximum characters: 40

Default: not requested

cases.approval_history

List of all approvals associated with the case.Data type: String

Maximum characters: 4,000

cases.approval_set

Date and time that the associated action was approved.Data type: String

cases.asset

Sys_id of the asset record associated with the case.Data type: String

Table: Asset [alm_asset]

cases.assigned_on

Date and time that the case was assigned to the person identified in the assigned_to parameter.Data type: String (Date)

Maximum length: 40

cases.assigned_to

Sys_id of the person assigned to the case.

Table: User [sys_user]

Data type: String

cases.assignment_group

Sys_id of the customer service agent group assigned to the case.Data type: String

Table: Group [sys_user_group]

cases.auto_close

Flag that indicates whether the case was automatically closed.Possible values:

  • true: Case was auto closed
  • false: Case wasn't auto closed

Data type: Boolean

Default: false

cases.business_duration

Length in calendar work hours, work days, and work weeks that it took to complete the case.Data type: String

cases.business_impact

Impact of the issue on the associated customer.Data type: String

Maximum characters: 4,000

cases.business_service

Sys_id of the service record associated with the case.Data type: String

Table: Service [cmdb_ci_service]

cases.calendar_duration

Length in calendar hours, days, and weeks that it took to complete the case.Data type: String (Duration)

Maximum length: 40

cases.case

Case short description and case number.Data type: String

Maximum length: 300

cases.case_report

Sys_id of the associated case report.Data type: String

Table: Case Report [sn_customerservice_case_report]

cases.category

Case category.Possible values:

  • 0: Question
  • 1: Issue
  • 2: Feature

Data type: Number (Integer)

Default: 1

cases.cause

Details about the cause of the problem.Data type: String

Maximum length: 4,000

cases.caused_by

Sys_id of the change request that caused the case to be created.Data type: String

Table: Change Request [change_request]

cases.change

Sys_id of the change request that caused the case to be created.Data type: String

Table: Change Request [change_request]

cases.child_case_creation_progress

Flag that indicates whether the case is a child case that was created from a major case.Possible values:

  • true: Child case created from a major case
  • false: Not a child case

Data type: Boolean

cases.closed_at

Date and time that the case was closed.Data type: String

cases.closed_by

Sys_id of the user that closed the case.Data type: String

Table: User [sys_user]

cases.close_notes

Notes made when the case was closed.Data type: String

Maximum length: 4,000

cases.cmdb_ci

Sys_id of the configuration item associated with the case.Data type: String

Table: Configuration Item [cmdb_ci]

cases.comments

Additional comments about the case.Data type: String

Maximum length: 4,000

cases.comments_and_work_notes

Comments and work notes entered for the case.Data type: String

Maximum length: 4,000

cases.company

Sys_id of the company associated with the case.Data type: String

Table: Company [core_company]

cases.consumer

Business-to-consumer cases only. Sys_id of the person to contact with regard to this case.Data type: String

Table: Consumer [csm_consumer]

cases.contact

Business-to-business based cases only. Sys_id of the person to contact regarding this case.Data type: String

Table: Contact [customer_contact]

cases.contact_local_time

Contact local time.Data type: String

Maximum length: 70

cases.contact_time_zone

Time zone of the contact associated with the case.Data type: String

Maximum length: 40

cases.contact_type

Method in which the case was initially reported.Possible values:

  • chat
  • email
  • phone
  • social
  • web

Data type: String

Maximum length: 40

cases.contract

Sys_id of the contract associated with the case. This contract contains information about the type of support that is provided to the company associated to the case. A contract can include a company and contact and the specific assets that are covered. A contract can also include multiple service entitlements and SLAs.Data type: String

Table: Contract [ast_contract]

cases.contributor_groups

List of sys_ids of the user groups that have contributed to the case.Data type: String

Table: Group [sys_user_group]

cases.contributor_users

List of sys_ids of the users that have contributed to the case.Data type: String

Table: User [sys_user]

cases.correlation_display

Correlation display.Data type: String

Maximum length: 100

cases.correlation_id

Correlation identifier.Data type: String

Maximum length: 100

cases.delivery_plan

Sys_id of the parent execution plan for this case.Data type: String

Table: Execution Plan [sc_cat_item_delivery_plan]

cases.delivery_task

Sys_id of the execution plan task.Data type: String

Table: Execution Plan Task [sc_cat_item_delivery_task]

cases.description

Detailed description of the problem associated with the case. Data type: String

Maximum length: 4,000

cases.due_date

Date that the case is due to be closed.Data type: String

cases.entitlement

Sys_id of the entitlement record associated with the case. Entitlements define the type of support that a customer receives as well as the supported communication channels. An entitlement can be associated with a product, an asset, an account, or a contract.Data type: String

Table: Entitlement [service_entitlement]

cases.escalation

Current escalation level.Possible values:

  • 0: Normal
  • 1: Moderate
  • 2: High
  • 3: Overdue

Data type: Number (Integer)

Default: 0

cases.expected_start

Date and time when work is scheduled to begin on the case.Data type: String

cases.first_response_time

Date and time when the first action was taken on the case.Data type: String

cases.follow_the_sun

Flag that indicates whether the case should be handed-off for global follow-up.If a customer enters additional comments on a Priority 1 - Critical or a Priority 2 - High case, or if the case is escalated, the flag is automatically set to true.

Possible values:

  • true: Case should be handed-off for global follow-up
  • false: Case shouldn't be handed-off for global follow-up

Data type: Boolean

Default: false

cases.follow_up

Date and time of the next follow-up action.Data type: String

cases.group_list

List of sys_ids of the group records associated with the case.Data type: Array

Table: Group [sys_user_group]

cases.impact

Impact on customer.Possible values:

  • 1: High
  • 2: Medium
  • 3: Low

Data type: Number (Integer)

Default: 3

cases.internal_user

Sys_id of the internal user for this case.Data type: String

Table: User [sys_user]

cases.initiated_as_request

Flag that indicates if this inquiry was initiated as a request by the customer.Possible values:

  • true: Inquiry initiated by customer.
  • false: Inquiry wasn't initiated by customer.

Data type: Boolean

Default: false

cases.knowledge

Flag that indicates if there is a knowledge base article available for the specified issue.Possible values:

  • true: Knowledge base article is available for this issue
  • false: Knowledge base article is not available for this issue

Data type: Boolean

Default: false

cases.location

Sys_id of the record describing the company location.Data type: String

Table: Location [cmn_location]

cases.made_sla

Flag that indicates whether the case was resolved in alignment with the associated service level agreement.Possible values:

  • true: Case was resolved in alignment with SLA
  • false: Case wasn't resolved according to the SLA

Data type: Boolean

Default: true

cases.major_case_state

Current state of the major case.Possible values:

  • accepted: Initial state when a manager creates a major case or when a manager promotes a candidate case.
  • canceled: Case is canceled.
  • proposed: Initial state when an agent or manager creates or proposes a candidate case.
  • rejected: Manager rejected candidate case.

Data type: String

Maximum length: 40

needs_attention

Flag that indicates whether the case needs attention.Possible values:

  • true: Case needs additional attention
  • false: Case doesn't need additional attention

Data type: Boolean

Default: false

cases.notes_to_comments

Flag that indicates whether to add the resolution notes to the comments.Possible values:

  • true: Resolutions notes, when added, are also added to the comments
  • false: Resolution notes in comments aren't required

Data type: Boolean

cases.notify

Method to use to notify contact/consumer.Possible values:

  • 1: Do not notify
  • 2: Send email
  • 3: Telephone

Data type: Number (Integer)

Default: 1

cases.number

Case number.Data type: String

Maximum length: 40

cases.opened_at

Date and time that the case was opened.Data type: String

cases.opened_by

Sys_id of the person that initially opened the case.Data type: String

Table: User [sys_user]

cases.order

Order of the case.Data type: Number (Integer)

cases.parent

Sys_id of the parent case to which this case (child) is associated.Data type: String

Table: Task [task]

cases.partner

Sys_id of the partner associated with the case.Data type: String

Table: Account [customer_account]

cases.partner_contact

Sys_id of the partner contact associated with the case.Data type: String

Table: Contact [customer_contact]

cases.priority

Priority of the case. Possible values:

  • 1: Critical
  • 2: High
  • 3: Moderate
  • 4: Low

Data type: Number (Integer)

Default: 4

cases.proactive

Flag that indicates whether the inquiry is being proactively monitored.Possible values:

  • true: Being proactively monitored.
  • false: Not being monitored.

Data type: Boolean

Default:false

cases.probable_cause

Possible cause of the issue associated with the case.Data type: String

Maximum length: 4,000

cases.problem

Sys_id of the issue that the customer is encountering.Data type: String

Table: Problem [problem]

cases.product

Sys_id of the product model of the asset associated to the case. A model is a specific version or configuration of an asset (for example, Apple Mac Book Pro).Data type: String

Table: Product Model [cmdb_model]

cases.reassignment_count

Number of times that the case was reassigned to a person that is responsible for moving the case forward.Data type: Number (Integer)

Default: 0

cases.recipient_list

Sys_id of the record that contains the list of recipients for communications about this case.Data type: String

Table: Recipients List [sn_publications_recipients_list]

cases.rejection_goto

Sys_id of the task to execute if the case is rejected.Data type: String

Table: Task [task]

cases.resolution_code

Resolution state for the case, such as "Solved - Fixed by Support/Guidance provided". Data type: String

Maximum length: 40

cases.resolved_at

Date and time that the case was resolved.Data type: String

cases.resolved_by

Sys_id of the person that resolved the case.Data type: String

Table: User [sys_user]

cases.route_reason

Reason that the case was routed to a different assignee.Data type: Number (Integer)

Maximum length: 40

cases.service_offering

Sys_id of the service offering associated with the payment inquiry. Service offerings uniquely define the level of service in terms of availability, scope, pricing, and packaging options.Data type: String

Table: Service Offering [service_offering]

cases.short_description

Concise description of the case. Data type: String

Maximum length: 160

cases.skills

List of the unique identifiers (sys_id) of the skills needed to complete the case.Data type: String

Table: Skill [cmn_skill]

cases.sla_due

Date/time at which the case must be closed based on the associated service level agreement.Data type: String

cases.sn_app_cs_social_social_profile

Sys_id of the social media profile associated with the case.Data type: String

Table: Social Profile [sn_app_cs_social_social_profile]

cases.sold_product

Sys_id of the associated product.Data type: String

Table: Sold Product [sn_install_base_sold_product]

cases.stage

Stage of the inquiry, such as Closed Complete, Closed Rejected, Document Check, Authorization, and so on.Data type: String

Maximum length: 40

cases.state

Current state of the case.Possible values:

  • 1: New
  • 3: Closed
  • 6: Resolved
  • 10: Open
  • 18: Awaiting Info

Data type: Number (Integer)

Default: 1

cases.subcategory

Case subcategory.Possible values:

0: QuestionData type: Number (Integer)

Default: 0

cases.support_manager

Sys_id of the CSM manager assigned to the case.Data type: String

Table: User [sys_user]

cases.sync_driver

Flag that indicates whether there's driver synchronization.Possible values:

  • true: Driver is synchronized
  • false: Driver isn't synchronized

Data type: Boolean

cases.sys_class_name

Table that contains the case record.Data type: String

Maximum length: 80

cases.sys_domain

Domain associated with the case.Data type: String

Maximum length: 32

Default: global

cases.sys_domain_path

Domain path.Data type: String

Maximum length: 255

Default: /

cases.sys_id

Unique identifier for the case.Data type: String

Maximum length: 32

cases.task_effective_number

Identifying number. If the task has a Universal Request associated with it, it's the UR number. Otherwise, it's the current task number.

Data type: String

Maximum length: 40

cases.time_worked

Total amount of time worked on the case.Data type: String

cases.universal_request

Sys_id of a universal task that this inquiry is part of.Data type: String

Table: Task [task]

cases.upon_approval

Action to take if the case is approved.Possible values:

  • do_nothing
  • proceed

Data type: String

Maximum length: 40

Default: proceed

cases.upon_reject

Action to take if the case is rejected.Possible values:

  • cancel
  • goto

Data type: String

Maximum length: 40

Default: cancel

cases.urgency

Urgency of the case.Possible values:

  • 1: High
  • 2: Medium
  • 3: Low

Data type: Number (Integer)

Default: 3

cases.user_input

Additional user input.Data type: String

Maximum length: 4,000

cases.variables

Name-value pairs of variables associated with the case.Data type: String

Maximum length: 40

cases.watch_list

List of sys_ids of the users who receive notifications about this case when additional comments are added or if the state of a case is changed to Resolved or Closed.Data type: Array

Table: User [sys_user]

cases.wf_activity

Sys_id of the workflow activity record associated with the case.Data type: String

Table: Workflow Activity [wf_activity]

cases.work_end

Date and time work ended on the case.Data type: String

cases.work_notes

Information about how to resolve the case, or steps taken to resolve it.Data type: String

Maximum length: 4,000

cases.work_notes_list

List of sys_ids of the internal users who receive notifications about this case when work notes are added.Data type: Array

Table: User [sys_user]

cases.work_start

Date and time that work started on the case.Data type: String

has_more

Flag that indicates whether there are more records in the table to return.Possible values:

  • true: More records to return.
  • false: No more records to return.

Data type: Boolean string

status

Status of the endpoint call.Data type: String

sysparm_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval.

In the response, the boolean parameter hasMore is returned. It indicates whether there are more records to return that meet the filter criteria.

Data type: Number

Default: 10

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.

For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Do not pass a negative number in the sysparm_offset parameter.

Data type: Number

Default: 0

### cURL request

The following code example shows how to call this endpoint.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/1474a3c853500010df5dddeeff7b12ec/cases" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "sysparm_offset": 0,    "sysparm_limit": 10,    "has_more": false,    "cases": [      {        "upon_reject": {          "value": "cancel",          "display_value": "Cancel all future Tasks"        },        "number": "CS0001034",        "initiated_as_request": "0",        "state": "1",        "case": "Performance is impacted with latest update​CS0001034",        "knowledge": "0",        "impact": "3",        "contract": {          "sys_id": "495e16b96f0731003b3c498f5d3ee4af",          "display_value": "CNTR0000603"        },        "active": "1",        "auto_created_case": "0",        "priority": "4",        "sys_domain_path": "/",        "child_case_creation_progress": "0",        "sync_driver": "0",        "needs_attention": "0",        "short_description": "Performance is impacted with latest update",        "notify": "1",        "sys_class_name": "sn_customerservice_case",        "reassignment_count": "0",        "notes_to_comments": "0",        "hierarchical_variables": "variable_pool",        "escalation": "0",        "upon_approval": {          "value": "proceed",          "display_value": "Proceed to Next Task"        },        "made_sla": "1",        "task_effective_number": "CS0001034",        "opened_by": {          "sys_id": "ddce70866f9331003b3c498f5d3ee417",          "display_value": "George Warren"        },        "contact": {          "sys_id": "ddce70866f9331003b3c498f5d3ee417",          "display_value": "George Warren"        },        "follow_the_sun": "0",        "entitlement": {          "sys_id": "1eb7893a6f1b31003b3c498f5d3ee4dd",          "display_value": "24x7 Customer Support"        },        "opened_at": {          "value": "2023-03-20 14:53:51",          "display_value": "2023-03-20 07:53:51"        },        "case_report": {          "sys_id": "85e8604c87f521100b6afc86dabb35b9",          "display_value": "CSR0010014"        },        "subcategory": "0",        "install_base": {          "sys_id": "1474a3c853500010df5dddeeff7b12ec",          "display_value": "Boxeo - Development"        },        "proactive": "0",        "auto_close": "0",        "sys_id": "92c8684087b521105d0055373cbb357e",        "contact_type": {          "value": "web",          "display_value": "Web"        },        "urgency": "3",        "approval": {          "value": "not requested",          "display_value": "Not Yet Requested"        },        "category": "1",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      },      {        "upon_reject": {          "value": "cancel",          "display_value": "Cancel all future Tasks"        },        "number": "CS0001008",        "initiated_as_request": "0",        "state": "1",        "case": "Test Alert​CS0001008",        "knowledge": "0",        "impact": "3",        "active": "1",        "auto_created_case": "0",        "priority": "1",        "sys_domain_path": "/",        "child_case_creation_progress": "0",        "sync_driver": "0",        "needs_attention": "1",        "short_description": "Test Alert",        "notify": "1",        "sys_class_name": "sn_customerservice_case",        "reassignment_count": "0",        "notes_to_comments": "0",        "hierarchical_variables": "variable_pool",        "escalation": "0",        "upon_approval": {          "value": "proceed",          "display_value": "Proceed to Next Task"        },        "made_sla": "1",        "task_effective_number": "CS0001008",        "opened_by": {          "sys_id": "08c83021acbe7300964fca436af2bb97",          "display_value": "noc_operator "        },        "follow_the_sun": "0",        "opened_at": {          "value": "2023-03-15 08:02:58",          "display_value": "2023-03-15 01:02:58"        },        "case_report": {          "sys_id": "a4fa9d9a872d61105d0055373cbb356e",          "display_value": "CSR0010005"        },        "subcategory": "0",        "proactive": "1",        "auto_close": "0",        "sys_id": "60ea199a872d61105d0055373cbb35c9",        "contact_type": {          "value": "proactive",          "display_value": "Alert"        },        "alert": {          "sys_id": "506a559a872d61105d0055373cbb3581",          "display_value": "Alert0010008"        },        "urgency": "3",        "action_status": "4",        "approval": {          "value": "not requested",          "display_value": "Not Yet Requested"        },        "category": "1"      },      {        "upon_reject": {          "value": "cancel",          "display_value": "Cancel all future Tasks"        },        "number": "CS0001033",        "initiated_as_request": "0",        "state": "1",        "case": "System is down​CS0001033",        "knowledge": "0",        "impact": "3",        "contract": {          "sys_id": "495e16b96f0731003b3c498f5d3ee4af",          "display_value": "CNTR0000603"        },        "active": "1",        "auto_created_case": "0",        "priority": "4",        "sys_domain_path": "/",        "child_case_creation_progress": "0",        "sync_driver": "0",        "needs_attention": "0",        "short_description": "System is down",        "notify": "1",        "sys_class_name": "sn_customerservice_case",        "reassignment_count": "0",        "notes_to_comments": "0",        "hierarchical_variables": "variable_pool",        "escalation": "0",        "upon_approval": {          "value": "proceed",          "display_value": "Proceed to Next Task"        },        "made_sla": "1",        "task_effective_number": "CS0001033",        "opened_by": {          "sys_id": "ddce70866f9331003b3c498f5d3ee417",          "display_value": "George Warren"        },        "contact": {          "sys_id": "ddce70866f9331003b3c498f5d3ee417",          "display_value": "George Warren"        },        "follow_the_sun": "0",        "entitlement": {          "sys_id": "1eb7893a6f1b31003b3c498f5d3ee4dd",          "display_value": "24x7 Customer Support"        },        "opened_at": {          "value": "2023-03-20 14:52:48",          "display_value": "2023-03-20 07:52:48"        },        "case_report": {          "sys_id": "64b86c0c87f521100b6afc86dabb35fc",          "display_value": "CSR0010013"        },        "subcategory": "0",        "install_base": {          "sys_id": "1474a3c853500010df5dddeeff7b12ec",          "display_value": "Boxeo - Development"        },        "proactive": "0",        "auto_close": "0",        "sys_id": "7c98a04087b521105d0055373cbb352e",        "contact_type": {          "value": "web",          "display_value": "Web"        },        "urgency": "3",        "approval": {          "value": "not requested",          "display_value": "Not Yet Requested"        },        "category": "1",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      },      {        "upon_reject": {          "value": "cancel",          "display_value": "Cancel all future Tasks"        },        "number": "CS0001048",        "initiated_as_request": "0",        "state": "1",        "case": "AIB with Single account​CS0001048",        "knowledge": "0",        "impact": "3",        "active": "1",        "auto_created_case": "0",        "priority": "4",        "sys_domain_path": "/",        "child_case_creation_progress": "0",        "sync_driver": "0",        "needs_attention": "1",        "short_description": "AIB with Single account",        "notify": "1",        "sys_class_name": "sn_customerservice_case",        "reassignment_count": "0",        "notes_to_comments": "0",        "hierarchical_variables": "variable_pool",        "escalation": "0",        "upon_approval": {          "value": "proceed",          "display_value": "Proceed to Next Task"        },        "made_sla": "1",        "task_effective_number": "CS0001048",        "opened_by": {          "sys_id": "08c83021acbe7300964fca436af2bb97",          "display_value": "noc_operator "        },        "contact": {          "sys_id": "4d147a386f0331003b3c498f5d3ee437",          "display_value": "Julie Lewis"        },        "follow_the_sun": "0",        "opened_at": {          "value": "2023-03-24 03:28:58",          "display_value": "2023-03-23 20:28:58"        },        "case_report": {          "sys_id": "4082be81877161100b6afc86dabb35fe",          "display_value": "CSR0010023"        },        "subcategory": "0",        "proactive": "1",        "auto_close": "0",        "sys_id": "6a723e81877161100b6afc86dabb35cf",        "contact_type": {          "value": "proactive",          "display_value": "Alert"        },        "alert": {          "sys_id": "6b227681877161100b6afc86dabb35d5",          "display_value": "Alert0010094"        },        "urgency": "3",        "action_status": "4",        "approval": {          "value": "not requested",          "display_value": "Not Yet Requested"        },        "category": "1",        "account": {          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",          "display_value": "Boxeo"        }      }    ],    "status": "SUCCESS"  }}

Install Base Item - GET /sn_install_base/integrations/installbaseitems/{id}/childinstallbaseitems

Returns the child install base items associated with a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/childinstallbaseitems

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/childinstallbaseitems

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id of the install base item record.Data type: String

Table: Install Base Item [sn_install_base_item]

Name

Description

field name-value pairs

Field-value pairs to use to filter the child install base item records.If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the state field is set to "in_use" and the status field is set to "replacement", pass the follow: &state=in_use&status=replacement.

Data type: String

Default: All fields

Table: Install Base Item [sn_install_base_item]

sys_class_name

If using an extended install base items table (not sn_install_base_item), the name of the extended table to query.Data type: String

Default: sn_install_base_item

sysparm_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
403 Forbidden. The user doesn't have access rights to the specified record.
404 Not found. The requested item wasn't found.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Name

Description

error

Details about the error that occurred when trying to process the request.Data type: Object

Text
"error": {  "detail": "String",  "message": "String"}

error.detail

Additional details about the associated error.Data type: String

error.message

Error message that describes the problem that occurred when trying to execute the request.Data type: String

has_more

Flag that indicates whether there are more records in the table to return.Possible values:

  • true: More records to return.
  • false: No more records to return.

Data type: Boolean string

items

List of the install base items that matched the specified filter results.Data type: Array of Objects

CSS
"items":[  {    "account": {Object},    "active": "String",    "asset": {Object},    "configuration_item": {Object},    "consumer": {Object},    "consumer_profile": {Object},    "contact": {Object},    "health_status": {Object},    "health_status_last_updated": "String",    "household": {Object},    "install_date": {Object},    "location": {Object},    "name": "String",    "number": "String",    "parent": {Object},    "product": {Object},    "service_context": {Object},    "service_organization" {Object},    "sys_class_name": "String",    "sys_id": "String",    "sys_mod_count": "String",    "state": {Object},    "status": {Object},    "uninstall_date": "String"  }]

items.account

Details about the customer account associated with the install base item record.Data type: Object

Text
"account": {  "display_value": "String",  "sys_id": "String"}

items.account.display_value

Text name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String

items.account.sys_id

Sys_id of the customer account record associated with the install base item record.Data type: String

items.active

Flag that indicates whether the install base item is active.Possible values:

  • true: Install base item is active.
  • false: Install base item is inactive.

Data type: Boolean String

items.asset

Details about the asset associated with the install base item record.Data type: Object

Text
"asset": {  "display_value": "String",  "sys_id": "String"}

items.asset.display_value

Text name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String

items.asset.sys_id

Sys_id of the asset record associated with the install base item record.Data type: String

items.configuration_item

Details about the configuration item associated with the install base item record.Data type: Object

Text
"configuration_item": {  "display_value": "String",  "sys_id": "String"}

items.configuration_item.display_value

Text name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String

items.configuration_item.sys_id

Sys_id of the configuration item record associated with the install base item record.Data type: String

items.consumer

Details about the consumer associated with the install base item record.Note: The consumer field is only available if the B2B2C plugin is installed.

Data type: Object

Text
"consumer": {  "display_value": "String",  "sys_id": "String"}

items.consumer.display_value

Text name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String

items.consumer.sys_id

Sys_id of the consumer record associated with the install base item record.Data type: String

items.consumer_profile

Details about the consumer profile associated with the install base item record.Note: The consumer profile field is only available if the B2B2C plugin is installed.

Data type: Object

Text
"consumer_profile": {  "display_value": "String",  "sys_id": "String"}

items.consumer_profile.display_value

Text name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String

items.consumer_profile.sys_id

Sys_id of the consumer profile record associated with the install base item record.Data type: String

items.contact

Details about the account contact responsible for the install base item record.Data type: Object

Text
"contact": {  "display_value": "String",  "sys_id": "String"}

items.contact.display_value

Text name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String

items.contact.sys_id

Sys_id of the account contact record associated with the install base item record.Data type: String

items.health_status

Details about the current health status of the install base item. Only returned if the Proactive Customer Service Operations (com.snc.proactive_cs_itom) plugin is installed.Data type: Object

Text
"health_status": {  "display_value": "String",  "value": "String"}

items.health_status.display_value

Text string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String

items.health_status.value

Internal value of the health status of the install base item.Data type: String

items.health_status_last_updated

Date and time when the health status was last updated for the install base item.Data type: String

items.household

Details about the household associated with the install base item record. Only returned if the Customer Household Data Model (com.snc.household) plugin is installed.Data type: Object

Text
"household": {  "display_value": "String",  "sys_id": "String"}

items.household.display_value

Text name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String

items.household.sys_id

Sys_id of the household associated with the install base item record.Data type: String

items.install_date

Details about the date when the install base item became active.Data type: Object

Text
"install_date": {  "display_value": "String",  "value": "String"}

items.install_date.display_value

Text install date. Use this value to display the install date in the UI.Data type: String

items.install_date.value

Internal value of the install date.Data type: String

items.location

Details about the location of the install base item.Data type: Object

Text
"location": {  "display_value": "String",  "sys_id": "String"}

items.location.display_value

Text name of the install base item location. Use this value to display the location name in the UI.Data type: String

items.location.sys_id

Sys_id of the location record associated with the install base item record.Data type: String

items.name

Name of the install base item.Data type: String

items.number

Unique ID of the install base item.Data type: String

items.parent

Details about the parent record of the install base item record.Data type: Object

Text
"parent": {  "display_value": "String",  "sys_id": "String"}

items.parent.display_value

Text name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String

items.parent.sys_id

Sys_id of the parent record associated with the install base item record.Data type: String

items.product

Details about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object

Text
"product": {  "display_value": "String",  "sys_id": "String"}

items.product.display_value

Text name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String

items.product.sys_id

Sys_id of the product model record associated with the install base item record.Data type: String

items.service_context

Details about the service context associated with the install base item record.Data type: Object

Text
"service_context": {  "display_value": "String",  "sys_id": "String"}

items.service_context.display_value

Text name of the service context associated with the install base item record. Use this value to display the service context name in the UI.Data type: String

items.service_context.sys_id

Sys_id of the service context record associated with the install base item record.Data type: String

items.service_organization

Details about the service organization associated with the install base item record. Only returned if the Service Organization (com.snc.service_organization) plugin is installed.Data type: Object

Text
"service_organization": {  "display_value": "String",  "sys_id": "String"}

items.service_organization.display_value

Text name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String

items.service_organization.sys_id

Sys_id of the service organization record associated with the install base item record.Data type: String

items.sys_class_name

Table containing the install base item record.Data type: String

items.sys_id

Sys_id of the install base item record. Located in the table specified in the sys_class_name parameter.Data type: String

items.sys_mod_count

Number of times that the associated install base item record has been modified.Data type: String

items.state

Details about the current state of the install base item.Data type: Object

Text
"state": {  "display_value": "String",  "value": "String"}

items.state.display_value

Text string of the current state of the install base item. Use this value to display the state in the UI.Data type: String

items.state.value

Internal value of the state of the install base item.Data type: String

items.status

Details about the status of the install base item.Data type: Object

Text
"status": {  "display_value": "String",  "value": "String"}

items.status.display_value

Text string of the status of the install base item. Use this value to display the status in the UI.Data type: String

items.status.value

Internal value of the status of the install base item.Data type: String

items.uninstall_date

Details about the date when the install base item became inactive.Data type: Object

Text
"uninstall_date": {  "display_value": "String",  "value": "String"}

items.uninstall_date.display_value

Text uninstall date. Use this value to display the uninstall date in the UI.Data type: String

items.uninstall_date.value

Internal value of the uninstall date.Data type: String

status

Status of the endpoint call.Data type: String

sysparm_depth

Number of levels deep the returned child install base item is in the hierarchy.Data type: Integer

sysparm_limit

Number of records that were returned. If this value isn't specified in the original request, it uses the default value.Data type: Number

sysparm_offset

Offset (starting point) in the associated table from which records were evaluated and retrieved.Data type: String

### cURL request

The following code example shows how to call this endpoint.

Shell
curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/767f34d378d21110f877d304c76fdd2a/childinstallbaseitems?sysparm_limit=1" \--request GET \--header "Accept:application/json" \--user 'username':'password'

Return results:

JSON
{  "result": {    "sysparm_offset": 0,    "sysparm_limit": 1,    "has_more": true,    "items": [      {        "parent": {          "sys_id": "767f34d378d21110f877d304c76fdd2a",          "display_value": "X5 Sport Utility 4D"        },        "sys_class_name": "sn_install_base_item",        "number": "IBITM0001005",        "sys_id": "0704dfcc39265110f87734024cfbc222",        "state": {          "value": "in_use",          "display_value": "In Use"        },        "consumer": {          "sys_id": "bab5139ab3401010700b4d43c6a8dc41",          "display_value": "Charles Barkley"        },        "product": {          "sys_id": "56c84f0439265110f87734024cfbc233",          "display_value": "Electric Power-Assist Speed-Sensing Steering"        },        "active": "true",        "name": "Electric Power-Assist Speed-Sensing Steering",        "status": {          "value": "original",          "display_value": "Original"        }      }    ],    "status": "SUCCESS"  }}

Install Base Item - GET /sn_install_base/integrations/installbaseitems/{id}/contracts

Returns the contracts associated with a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/contracts

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/contracts

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

Name

Description

api_version

Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest. Data type: String

id

Sys_id of the install base item record.Data type: String

Table: Install Base Item [sn_install_base_item]

Name

Description

field name-value pairs

Field-value pairs to use to filter the contract records. By default this references the fields in the Contract [ast_contract] table. If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the renewable field is set to "true", pass the follow: &renewable=true.

Data type: String

Default: All fields

sys_class_name

If using an extended contracts table (not ast_contract), the name of the extended table to query.Data type: String

Default: ast_contract

sysparm_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

|Name|Description| |----|-----------| |None| |

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

Header

Description

Accept

Data format of the response body. Supported types: application/json or application/xml. Default: application/json

|Header|Description| |------|-----------| |None| |

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status code Description
200 Successful. The request was successfully processed.
400 Bad Request. A bad request type or malformed request was detected.
403 Forbidden. The user doesn't have access rights to the specified record.
404 Not found. The requested item wasn't found.
500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

Name

Description

contracts

List of the contracts associated with the specified install base item record.Data type: Array of Object

CSS
[...]
